<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <connectionStrings>
    <add name="ConnectionString" connectionString="%COWS_DB_CONNECT_STRING%" />
  </connectionStrings>
  <appSettings>
    <!--ALL ENVIRONMENTS-->
    <add key="ServiceName" value="COWS.PeopleSoftBatchService" />
    <add key="ServiceDisplayName" value="COWS.PeopleSoftBatchService" />
    <add key="RequestSleepTime" value="%PSOFT_BATCH_SVC_REQ_SLEEP_TIME%" />
    <add key="ExecMinuteTimer" value="%PSOFT_BATCH_SVC_EXC_MINUTE_TIME%" />
    <add key="ReqFilePath" value="%PSOFT_BATCH_SVC_REQ_FILE_PATH%" />
    <add key="ReceiptFilePath" value="%PSOFT_BATCH_SVC_REC_FILE_PATH%" />
    <add key="ArchiveReceiptFilePath" value="%PSOFT_BATCH_SVC_ARCHIVE_REC_FILE_PATH%" />
    <add key="ArchiveReqFilePath" value="%PSOFT_BATCH_SVC_ARCHIVE_REQ_FILE_PATH%" />
    <add key="LogDirectoryList" value="%PSOFT_BATCH_SVC_LOG_DIR_LIST%" />
    <add key="LogUser" value="%PSOFT_BATCH_SVC_LOG_USER%" />
    <add key="LogQueueGrowFactor" value="%PSOFT_BATCH_SVC_LOG_QUEUE_GROW_FACTOR%" />
    <add key="LogTimer" value="%PSOFT_BATCH_SVC_LOG_TIMER%" />
    <add key="LogType" value="%PSOFT_BATCH_SVC_LOG_TYPE%" />
    <add key="LogQueueSize" value="%PSOFT_BATCH_SVC_LOG_QUEUE_SIZE%" />
    <add key="LogXSL" value="%PSOFT_BATCH_SVC_LOG_XSL%" />
    <add key="LogNameList" value="%PSOFT_BATCH_SVC_LOG_NAME_LIST%" />
    <add key="LogMode" value="%PSOFT_BATCH_SVC_LOG_MODE%" />
    <add key="LogQueueFlushSize" value="%PSOFT_BATCH_SVC_LOG_QUEUE_FLUSH_SIZE%" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />

    <add key="LocalFilePath"  value="%PSOFT_BATCH_SVC_LOCALFILEPATH%"/>
    <add key="FileNameRequest"  value="%PSOFT_BATCH_SVC_FILENAMEREQUEST%"/>
    <add key="FileNameReceipts"  value="%PSOFT_BATCH_SVC_FILENAMERECEIPTS%"/>
    <add key="MyBatchFile"  value="%PSOFT_BATCH_SVC_MYBATCHFILE%"/>
    <add key="TargetDIR"  value="%PSOFT_BATCH_SVC_TARGETDIR%"/>
    <add key="spathRequest" value="%PSOFT_BATCH_SVC_SPATHREQUEST%"/>
    <add key="spathReceipt" value="%PSOFT_BATCH_SVC_SPATHRECEIPT%"/>
    <add key="ssys" value="%PSOFT_BATCH_SVC_SSYS%"/>
    <add key="dsys" value="%PSOFT_BATCH_SVC_DSYS%"/>
    <add key="tname" value="%PSOFT_BATCH_SVC_TNAME%"/>
    <add key="delete" value="%PSOFT_BATCH_SVC_DELETE%"/>
    <add key="emailaddr" value="%PSOFT_BATCH_SVC_EMALADDR%"/>
    <add key="email" value="%PSOFT_BATCH_SVC_EMAIL%"/>
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
  </startup>
  
</configuration>